/*
 * Created on 24 mai 2005
 */
package geonoteZones;

import geonoteInterface.Interface;

/**
 * Zone d'affichge des cours : identique à Visualisation mais avec état d'activité
 */
public class Documentations extends Navigation{
	private boolean actif = false; //tant que pas utilisé au moins une fois, inactif !

	/**
	 * Constructeur 
	 */
	public Documentations(Interface i, String dosSys) {
		super(i, dosSys);
	}

	/**
	 * Charge une donnee du type image
	 */
	public void chargerImage(String path, double ech, String unité, boolean reg, boolean zoom, boolean edition, String titre, String auteur, String commentaire) {
		super.chargerImage(path,ech, unité, reg, zoom, edition, titre, auteur, commentaire);
		actif = true;
	}
	
	/**
	 * Charge une donnee du type texte
	 */
	public void chargerTexte(String path, String titre, String auteur, String commentaire) {
		super.chargerTexte(path, titre, auteur, commentaire);
		actif = true;		
	}
	
	/**
	 * Charge une donnee du type carte
	 */
//	public void chargerCarte(String path, double ech, String unité, boolean reg, boolean zoom, boolean edition, ArrayList l, int latO, int longO, double echLat, double echLong) {
//		super.chargerCarte(path, ech, unité, reg, zoom, edition, l, latO, longO, echLat, echLong, null, null);
//		actif = true;
//	}

	/**
	 * Informe sur l'etat d'activité
	 */
	public boolean rapportActivité() {
		return actif;
	}
	
	/**
	 * Pour desactiver la zone cours (lors d'un chgt de session ...)
	 */
	public void desactiver() {
		actif = false;
	}
}
